be.fgov.ehealth.errors.core.v1

## Class ErrorType

- java.lang.Object
- - be.fgov.ehealth.errors.core.v1.ErrorType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ServiceErrorType, SOAErrorType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:52:18+02:00",
                 comments="JAXB RI v2.2.11")
      public class ErrorType
      extends Object
      implements Serializable

  Basic information on Error.

  Java class for ErrorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ErrorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Origin" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{urn:be:fgov:ehealth:errors:core:v1}LocalisedStringType" maxOccurs="unbounded"/>
               <element name="Retry" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="Contact" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getContact()` Gets the value of the contact property.
    `String` | `getId()` Gets the value of the id property.
    `List<LocalisedStringType>` | `getMessages()` Gets the value of the messages property.
    `String` | `getOrigin()` Gets the value of the origin property.
    `Boolean` | `isRetry()` Gets the value of the retry property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setContact(String value)` Sets the value of the contact property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setOrigin(String value)` Sets the value of the origin property.
    `void` | `setRetry(Boolean value)` Sets the value of the retry property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorType

          public ErrorType()

  - ### Method Detail

    - #### getOrigin

          public String getOrigin()

      Gets the value of the origin property.
      Returns:
        possible object is `String`

    - #### setOrigin

          public void setOrigin(String value)

      Sets the value of the origin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessages

          public List<LocalisedStringType> getMessages()

      Gets the value of the messages property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

      For example, to add a new item, do as follows:

              getMessages().add(newItem);

      Objects of the following type(s) are allowed in the list `LocalisedStringType`

    - #### isRetry

          public Boolean isRetry()

      Gets the value of the retry property.
      Returns:
        possible object is `Boolean`

    - #### setRetry

          public void setRetry(Boolean value)

      Sets the value of the retry property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getContact

          public String getContact()

      Gets the value of the contact property.
      Returns:
        possible object is `String`

    - #### setContact

          public void setContact(String value)

      Sets the value of the contact property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.